function init(hero) {
    hero.setName("The Thing");
    hero.setVersion("Fantastic 4");
    hero.setTier(8);
    
    hero.setHelmet("Head");
    hero.setChestplate("Chest");
    hero.setLeggings("Shorts");
    hero.setBoots("Feet");
    
    hero.addPowers("jmctheroes:cosmic_ray_enhanced_physiology_thing");
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
    hero.addAttribute("JUMP_HEIGHT", 2.75, 0);
    hero.addAttribute("PUNCH_DAMAGE", 11.4, 0);
    hero.addAttribute("SPRINT_SPEED", 0.35, 1);
    hero.addAttribute("WEAPON_DAMAGE", -0.75, 1);
    hero.addAttribute("MAX_HEALTH", 8.0, 0);

    hero.addKeyBind("EARTHQUAKE", "key.earthquake", 1);
    hero.addKeyBind("GROUND_SMASH", "key.groundSmash", 2);

    hero.setDefaultScale(1.35);
    hero.setAttributeProfile(getProfile);
    hero.setModifierEnabled(isModifierEnabled);
    hero.addAttributeProfile("RUN", runProfile);
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:leaping":
        return entity.isSprinting();
    default:
        return true;
    }
}

function runProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("SPRINT_SPEED", 0.75, 1);
    profile.addAttribute("JUMP_HEIGHT", 8.0, 0);
}

function getProfile(entity) {
    if (entity.isSprinting()) {
        return "RUN";
    }
}
